Description

Zero The Free Space

o |nstall zerofree:
apt-get install zerofree
* Fill free space of the image with zero:

zerofree /dev/sdb2

Acquiring The Image

e While modifying the stock image of Raspbian, | decided to take a backup image of my drive using dd:
dd if=/dev/sdb of=modified-raspbian.img

e Then shrunk main partition image to the value | desired using gparted:
gparted modified-raspbian.img

However the image of the entire drive left a lot of unallocated space left in the image. After searching online | found that all | needed
to do was to use dd to extract just the raspbian image apart from the unallocated space. The parameter for dd that does this is
count=.

Find Image Size Information

e Get the needed block information by running the following:

fdisk -u -1 modified-raspbian.img

o Example output:

Disk /dev/sdb: 8462 MB, 8462008320 bytes

255 heads, 63 sectors/track, 1028 cylinders

Units = cylinders of 16065 * 512 = 8225280 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/0 size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x5c0894d9

Device Boot Start End Blocks Id System
/dev/sdbl * 1 9 72261 e W95 FAT16 (LBA)
/dev/sdb2 10 103 755055 83 Linux

Trim The Image
® |n the following example the last partition ends on 103, and the unit size is 8225280 bytes. So simply run command:
dd if=modified-raspbian.img of=modified-raspbian-stripped.img bs=8225280 count=103
o NOTE: | had problems with a couple of images being corrupt after this process, so | found that adding 1 to the count

argument will correct this.

dd if=modified-raspbian.img of=modified-raspbian-stripped.img bs=8225280 count=104

Resources

e http://serverfault.com/questions/446529/create-image-of-a-usb-drive-without-unallocated-partition

History

#1 - 12/11/2014 03:40 PM - Daniel Curtis
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 12/12/2014 10:58 AM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 02/25/2015 12:36 PM - Daniel Curtis
- Project changed from GNU/Linux Administration to Raspberry Pi

- Subject changed from Extracting Image From Excessively Large Image to Trimming Excessively Large Disk Image Files

#4 - 02/25/2015 01:00 PM - Daniel Curtis

- Description updated
- Description updated
